
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SQL之case when then用法 / 憋错料</title>

    <meta name="description" content="SQL之case when then用法 case具有两种格式.简单case函数和case搜索函数. --简单case函数 case sex when '1' then '男' when '2' then '女' else '其他' end --case搜索函数 case when sex = '1' then '男' when sex = '2' then '女' else '其他' end 这两种方式,可以实现相同的功能.简单case函数的写法相对比较简洁,但是和case搜索函数相比,功能方面会有些限制,比如写判定式. 还有一个需要">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">SQL之case when then用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>case具有两种格式。简单case函数和case搜索函数。</p>
<p><img src="/img/fz.gif"></p>
<pre>--简单case函数
case sex
  when ‘1‘ then ‘男‘
  when ‘2‘ then ‘女’
  else ‘其他‘ end
--case搜索函数
case when sex = ‘1‘ then ‘男‘
     when sex = ‘2‘ then ‘女‘
     else ‘其他‘ end  </pre>
<p><img src="/img/fz.gif"></p>
<p>这两种方式，可以实现相同的功能。简单case函数的写法相对比较简洁，但是和case搜索函数相比，功能方面会有些限制，比如写判定式。</p>
<p>还有一个需要注重的问题，case函数只返回第一个符合条件的值，剩下的case部分将会被自动忽略。</p>
<pre>--比如说，下面这段sql，你永远无法得到“第二类”这个结果
case when col_1 in (‘a‘,‘b‘) then ‘第一类‘
     when col_1 in (‘a‘) then ‘第二类‘
     else ‘其他‘ end  </pre>
<p>下面实例演示：<br />首先创建一张users表，其中包含id,name,sex三个字段，表内容如下：</p>
<p><img src="/img/fz.gif"></p>
<pre>SQL&gt; drop table users purge;

drop table users purge

ORA-00942: 表或视图不存在
SQL&gt; create table users(id int,name varchar2(20),sex number);

Table created
SQL&gt; insert into users(id,name) values(1,‘张一‘);

1 row inserted
SQL&gt; insert into users(id,name,sex) values(2,‘张二‘,1);

1 row inserted
SQL&gt; insert into users(id,name) values(3,‘张三‘);

1 row inserted
SQL&gt; insert into users(id,name) values(4,‘张四‘);

1 row inserted
SQL&gt; insert into users(id,name,sex) values(5,‘张五‘,2);

1 row inserted
SQL&gt; insert into users(id,name,sex) values(6,‘张六‘,1);

1 row inserted
SQL&gt; insert into users(id,name,sex) values(7,‘张七‘,2);

1 row inserted
SQL&gt; insert into users(id,name,sex) values(8,‘张八‘,1);

1 row inserted
SQL&gt; commit;

Commit complete
SQL&gt; select * from users;

                                     ID NAME                        SEX
--------------------------------------- -------------------- ----------
                                      1 张一
                                      2 张二                          1
                                      3 张三
                                      4 张四
                                      5 张五                          2
                                      6 张六                          1
                                      7 张七                          2
                                      8 张八                          1

8 rows selected</pre>
<p><img src="/img/fz.gif"></p>
<p>1、上表结果中的"sex"是用代码表示的，希望将代码用中文表示。可在语句中使用case语句：</p>
<p><img src="/img/fz.gif"></p>
<pre>SQL&gt; select u.id,u.name,u.sex,
  2    (case u.sex
  3      when 1 then ‘男‘
  4      when 2 then ‘女‘
  5      else ‘空的‘
  6      end
  7     )性别
  8  from users u;

                                     ID NAME                        SEX 性别
--------------------------------------- -------------------- ---------- ------
                                      1 张一                            空的
                                      2 张二                          1 男
                                      3 张三                            空的
                                      4 张四                            空的
                                      5 张五                          2 女
                                      6 张六                          1 男
                                      7 张七                          2 女
                                      8 张八                          1 男

8 rows selected</pre>
<p><img src="/img/fz.gif"></p>
<p>2、如果不希望列表中出现"sex"列，语句如下：</p>
<p><img src="/img/fz.gif"></p>
<pre>SQL&gt; select u.id,u.name,
  2    (case u.sex
  3      when 1 then ‘男‘
  4      when 2 then ‘女‘
  5      else ‘空的‘
  6      end
  7     )性别
  8  from users u;

                                     ID NAME                 性别
--------------------------------------- -------------------- ------
                                      1 张一                 空的
                                      2 张二                 男
                                      3 张三                 空的
                                      4 张四                 空的
                                      5 张五                 女
                                      6 张六                 男
                                      7 张七                 女
                                      8 张八                 男

8 rows selected</pre>
<p><img src="/img/fz.gif"></p>
<p>3、将sum与case结合使用，可以实现分段统计。<br />&nbsp;&nbsp;&nbsp;&nbsp; 如果现在希望将上表中各种性别的人数进行统计，sql语句如下：</p>
<p><img src="/img/fz.gif"></p>
<pre>SQL&gt; select
  2    sum(case u.sex when 1 then 1 else 0 end)男性,
  3    sum(case u.sex when 2 then 1 else 0 end)女性,
  4    sum(case when u.sex &lt;&gt;1 and u.sex&lt;&gt;2 then 1 else 0 end)性别为空
  5  from users u;

        男性         女性       性别为空
---------- ---------- ----------
         3          2          0

--------------------------------------------------------------------------------
SQL&gt; select
  2    count(case when u.sex=1 then 1 end)男性,
  3    count(case when u.sex=2 then 1 end)女,
  4    count(case when u.sex &lt;&gt;1 and u.sex&lt;&gt;2 then 1 end)性别为空
  5  from users u;

        男性          女       性别为空
---------- ---------- ----------
         3          2          0</pre>
<p><img src="/img/fz.gif"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:04:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%b8%a4%e7%a7%8d/" title="两种">两种</a>, <a href="https://www.biecuoliao.com/tag/bsp/" title="bsp">bsp</a>, <a href="https://www.biecuoliao.com/tag/insert/" title="insert">insert</a>, <a href="https://www.biecuoliao.com/tag/%e8%a1%a8%e7%a4%ba/" title="表示">表示</a>, <a href="https://www.biecuoliao.com/tag/commit/" title="commit">commit</a>, <a href="https://www.biecuoliao.com/tag/%e5%af%b9%e6%af%94/" title="对比">对比</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.biecuoliao.com/tag/drop/" title="drop">drop</a>, <a href="https://www.biecuoliao.com/tag/when/" title="when">when</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>SQL之case when then用法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEVXd4.html" rel="bookmark">SQL之case when then用法&lpar;用于分类统计&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ase具有两种格式.简单case函数和case搜索函数. --简单case函数 case sex when '1' then '男' when '2' then '女’ else '其他' end --case搜索函数 case when sex = '1' then '男' when sex = '2' then '女' else '其他' end 这两种方式,可以实现相同的功能.简单case函数的写法相对比较简洁,但是和case搜索函数相比,功能方面会有些限制,比如写判定式. 还有一个需要注			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnn1G4.html" rel="bookmark">SQL中case when then用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql语句判断方式之一Case.具有两种格式:简单的Case函数.Case搜索函数. 1.简单Case函数 CASE sex WHEN '1' THEN '男' WHEN '2' THEN '女' ELSE '其他' END 2.Case搜索函数 CASE WHEN sex='1' THEN '男' WHEN sex='2' THEN '女' ELSE sex='其他' END			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzNbR2M.html" rel="bookmark">SQL语句case关键字的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简述 在操作数据库的过程经常忘了case关键字的语法,所以在此记录一下. 二.内容 case的简单语法 SELECT testName, testSex, CASE testSex WHEN '1' THEN '男' WHEN '0' THEN '女' END Sex FROM testDataTable SELECT testName, testDatetime, CASE WHEN testDatetime &lt; '2016-04-11' THEN 'old' ELSE 'new' END			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/355VVj3.html" rel="bookmark">SQL中CASE 的用法 转载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql语言中有没有类似C语言中的switch case的语句?? 没有,用case   when   来代替就行了.              例如,下面的语句显示中文年月 select getdate() as 日期,case month(getdate()) when 11 then '十一' when 12 then '十二' else substring('一二三四五六七八九十', month(getdate()),1) end+'月' as 月份 ===================			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YLOnwM.html" rel="bookmark">MS SQL CASE WHEN 的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 由于经常使用 case when 的2种情况方式,如果=1 则*** 否则 *** 结束.久而久之,都以为只能这么用,都忘记了Case WHEN 的用法. 示例 DECLARE @lock INT =0,@I INT =4WHILE @lock&lt;@I --@lock [0,1,2,3]BEGIN    SELECT    CASE @lock         WHEN 0        THEN '没有锁定'        WHEN 1        THEN '锁定'        WH			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoZ2jB4.html" rel="bookmark">关于sql的case when用法简述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刚入手公司项目,需要添加一个功能,用到了SQL的case when以及concat SELECT eve.cc, eve.sc, case concat(cc,sc) WHEN '00' THEN '' WHEN '10' THEN '得意先' WHEN '01' THEN '仕入先' WHEN '11' THEN '得意先/仕入先' ELSE '' END as client_supplier_class FROM ( SELECT bd0.id, bd0.created, bd0.creat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vj2eo3.html" rel="bookmark">ORACLE CASE WHEN 及 SELECT CASE WHEN的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Case具有两种格式.简单Case函数和Case搜索函数. --简单Case函数 CASE sex WHEN '1' THEN '男' WHEN '2' THEN '女' ELSE '其他' END --Case搜索函数 CASE WHEN sex = '1' THEN '男' WHEN sex = '2' THEN '女' ELSE '其他' END 这两种方式,可以实现相同的功能.简单Case函数的写法相对比较简洁,但是和Case搜索函数相比,功能方面会有些限制,比如写判断式. 还有一个需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQZLoM.html" rel="bookmark">sql事务（Transaction）用法介绍及回滚实例&lowbar;转</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql事务(Transaction)用法介绍及回滚实例 事务(Transaction)是并发控制的单位,是用户定义的一个操作序列.这些操作要么都做,要么都不做,是一个不可分割的工作单位.通过事务,SQL Server能将逻辑相关的一组操作绑定在一起,以便服务器保持数据的完整性 当对多个表进行更新的时候,某条执行失败.为了保持数据的完整性,需要使用事务回滚. 显示设置事务 代码如下 begin try   www.2cto.com begin transaction insert into shi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWE8V3.html" rel="bookmark">SQL Server 中 RAISERROR 的用法&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在存储过程中进程会处理一些逻辑性的错误,如:将RMB转换为USD时,没有查询到想要的汇率 这个时候最好在存储过程中抛个异常,方便自己查找错误信息... 其语法如下: RAISERROR ( { msg_id | msg_str | @local_variable }                    { ,severity ,state }                    [ ,argument [ ,...n ] ]           )          [ WITH optio			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZkEe3.html" rel="bookmark" class="title">关于安全服务和安全产品的认识     &lbrack;September 25&comma; 2013 11&colon;45 &vert; by &excl;4p47hy &rsqb;</a>
					<div>
						1.目前的现状是什么?                  在传统的信息安全厂商内部,安全服务和安全产品所占的比重一直都是严重失调的,通常是二八开,即销售额一般都是安全产品占 80% ,安全服务占 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nv5NX0.html" rel="bookmark" class="title">定积分中值定理-好题</a>
					<div>
						设函数fx在区间[a,b]上连续,由定积分中值公式有∫(a,x) f(t)dt =(x-a)f(m) (a&lt;=m&lt;=x&lt;b)    ∫(a,x)表示上限是x下限是a 若导数f'+(a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Dwap4.html" rel="bookmark" class="title">【技术】搜索框（ie6下搜索图片在input框外）</a>
					<div>
						父级div需定宽和高:      &lt;div class=&quot;ui-search-wrap&quot;&gt; &lt;input type=&quot;text&quot; class= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vKwR64.html" rel="bookmark" class="title">shu&lowbar;1078 vijos&lowbar;1091&lpar;环城旅行&rpar;&lowbar;单调队列</a>
					<div>
						http://202.121.199.212/JudgeOnline/problem.php?cid=1078&amp;pid=9 分析: a[ i ] :  第i个城市的汽油与到下一个城市距离的差: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDW2z3.html" rel="bookmark" class="title">Methods throughout the lifespan of a view controller</a>
					<div>
						Method                                DescriptionloadView                              Creates or re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRw1w0.html" rel="bookmark" class="title">JQuery快速入门</a>
					<div>
						Write less, do more, I like jQuery. jQuery是最常用的js库,整体来说非常轻量并易于扩展,对于移动应用可以使用其更轻量的孪生兄弟Zepto代替.其是由John  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LmmA4.html" rel="bookmark" class="title">Django static静态配置文件</a>
					<div>
						对于Django来说静态文件一般交由Web服务器处理,Django本身不处理静态文件.为了使Django开发环境能够处理静态文件,Django有和生产环境不同的静态文件配置方式. Django 版本: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415D6G4.html" rel="bookmark" class="title">2016第34周四</a>
					<div>
						个人商业模式画布一共有九个要素,我将每个要素都标了序号,这个序号也代表你在填画布时候的思考和填写顺序. 要素1. 核心资源:我是谁,我有什么. 这部分其实可以用以前文章讲过的冰山模型来概括. 我是谁, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXNK94.html" rel="bookmark" class="title">构造数据类型、枚举类型</a>
					<div>
						1.构造数据类型: 之前我们学习了基础数据类型(int.double.float.char等),数组类型.指针类型,这些都属于简单数据类型,而C语言支持使用基本数据类型构造出新的复合数据类型. 2.结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KBbbLM.html" rel="bookmark" class="title">&lbrack;Python3&rsqb;迭代器和生成器</a>
					<div>
						迭代器 迭代是Python最强大的功能特色,是遍历访问序列元素的一种方式. 迭代器的特性是: 可以记住当前遍历位置 只能往前遍历,不能后退 从序列的第一个元素开始访问,直至所有元素被访问完 有两个基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wqAK0.html" rel="bookmark" class="title">ios 在使用 SDWebimage UIButton setBackgroundimage</a>
					<div>
						解决方法 : 有法为此在 SDWebImage: SDWebImage / SDWebImage / UIButton+WebCache.h 导入此文件在您的类: #import &lt;SDWebI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrgA74.html" rel="bookmark" class="title">解决Boost库链接出错问题</a>
					<div>
						安装完最新的Boost库 官方说明中有一句话: Finally, $ ./b2 install will leave Boost binaries in the lib/ subdirectory o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wWWmY3.html" rel="bookmark" class="title">【scikit-learn】scikit-learn的线性回归模型</a>
					<div>
						﻿﻿ 内容概要 怎样使用pandas读入数据 怎样使用seaborn进行数据的可视化 scikit-learn的线性回归模型和用法 线性回归模型的评估測度 特征选择的方法 作为有监督学习,分类问题是预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOYOO0.html" rel="bookmark" class="title">Python3&period;5 试用</a>
					<div>
						集成开发环境:WingIDE5.1.4 暂不支持, import tornado #loop =tornado.ioloop.IOLoop.instance() #导入错误. from tornado ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rz5xX3.html" rel="bookmark" class="title">从零开始编写自己的C&num;框架（3）&mdash;&mdash;开发规范</a>
					<div>
						原文:从零开始编写自己的C#框架(3)--开发规范 由于是业余时间编写,而且为了保证质量,对写出来的东西也会反复斟酌,所以每周只能更新两章左右,请大家谅解,也请大家耐心等待,谢谢大家的支持. 初学者应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWV9D64.html" rel="bookmark" class="title">Python 17</a>
					<div>
						jQuery http://jquery.cuishifeng.cn/ 模块 &lt;=&gt;类库 DOM/BOM/JavaScript的类库 版本: 1.x 1.12 2.x 3.x 转换: jq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqZa80.html" rel="bookmark" class="title">货到付款被骗怎么办钱能要回来吗</a>
					<div>
						全国免费报警电话17O9-O11O4OO百度推荐Q(1002732496)网警解决投诉.退货.提现.解冻.认证.账户激活.找回密码.解绑.卡单报警电话17O9O11O4OO防止电话诈骗报警请联系QQ: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqXNm3.html" rel="bookmark" class="title">Javascript转义字符串中的特殊字符处理</a>
					<div>
						2014-08-08 Web应用系统中,客户端发送请求到服务器,请求中的字符串参数,在被序列化成json过程中有些特殊字符会被空格代, 导致传递到服务器端再解析的时候,原本的输入参数就会被改变. 目前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQbE14.html" rel="bookmark" class="title">iOS开发通过AFNetworking上传图片到服务器</a>
					<div>
						iOS开发通过AFNetworking上传图片到服务器 AFHTTPSessionManager *manager = [AFHTTPSessionManager manager]; manager. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neBe7M.html" rel="bookmark" class="title">vs 或 Sql server2012连接Sql server时出现的问题：已成功与服务器建立连接，但在登陆过程中发生错误</a>
					<div>
						以前连接是正常的,就这两天连不上了.(没有耐心的直接看末尾解决办法) 错误消息如下: 1.尝试读取或写入受保护的内存.这通常指示其他内存已损坏.(System.Data) 2.已成功与服务器建立连接, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
